pappso::MassSpectrumFilterGreatestItensities Class Reference

`#include <filterpass.h>`

Inheritance diagram for pappso::MassSpectrumFilterGreatestItensities:

## Public Member Functions

| MassSpectrumFilterGreatestItensities (std::size_t number_of_points=0)
| MassSpectrumFilterGreatestItensities (const MassSpectrumFilterGreatestItensities &other)
virtual | ~MassSpectrumFilterGreatestItensities ()
MassSpectrumFilterGreatestItensities & | operator= (const MassSpectrumFilterGreatestItensities &other)
MassSpectrum & | filter (MassSpectrum &spectrum) const override
Public Member Functions inherited from pappso::MassSpectrumFilterInterface
virtual | ~MassSpectrumFilterInterface ()

## Private Attributes

FilterGreatestY | m_filterGreatestY

## Detailed Description

Definition at line 146 of file filterpass.h.

## Constructor & Destructor Documentation

## MassSpectrumFilterGreatestItensities() [1/2]

MassSpectrumFilterGreatestItensities::MassSpectrumFilterGreatestItensities | ( | std::size_t | number_of_points = `0` | ) |

Definition at line 400 of file filterpass.cpp.

: m_filterGreatestY(number_of_points)
{
}
pappso::MassSpectrumFilterGreatestItensities::m_filterGreatestY
FilterGreatestY m_filterGreatestY
Definition: filterpass.h:150

## MassSpectrumFilterGreatestItensities() [2/2]

MassSpectrumFilterGreatestItensities::MassSpectrumFilterGreatestItensities | ( | const MassSpectrumFilterGreatestItensities & | other | ) |

Definition at line 406 of file filterpass.cpp.

: m_filterGreatestY(other.m_filterGreatestY)
{
}

## ~MassSpectrumFilterGreatestItensities()

virtual pappso::MassSpectrumFilterGreatestItensities::~MassSpectrumFilterGreatestItensities | ( |  | ) |

inline virtual

Definition at line 156 of file filterpass.h.

{};

## Member Function Documentation

## filter()

MassSpectrum & MassSpectrumFilterGreatestItensities::filter | ( | MassSpectrum & | spectrum | ) | const

override virtual

Implements pappso::MassSpectrumFilterInterface.

Definition at line 423 of file filterpass.cpp.

{
m_filterGreatestY.filter(spectrum);
return spectrum;
}
pappso::FilterGreatestY::filter
Trace & filter(Trace &data_points) const override
Definition: filterpass.cpp:166

References pappso::FilterGreatestY::filter(), and m_filterGreatestY.

## operator=()

MassSpectrumFilterGreatestItensities & MassSpectrumFilterGreatestItensities::operator= | ( | const MassSpectrumFilterGreatestItensities & | other | ) |

Definition at line 413 of file filterpass.cpp.

{
m_filterGreatestY = other.m_filterGreatestY;
return *this;
}

References m_filterGreatestY.

## Member Data Documentation

## m_filterGreatestY

FilterGreatestY pappso::MassSpectrumFilterGreatestItensities::m_filterGreatestY

private

Definition at line 150 of file filterpass.h.

Referenced by filter(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filterpass.h
- pappsomspp/processing/filters/filterpass.cpp